# SpaceTimeline(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceTimeline`(Space)

  Timeline editor space data

  `cache_cloth`

    Show the active object’s cloth point cache

    Type: | boolean, default False

  `cache_dynamicpaint`

    Show the active object’s Dynamic Paint cache

    Type: | boolean, default False

  `cache_particles`

    Show the active object’s particle point cache

    Type: | boolean, default False

  `cache_rigidbody`

    Show the active object’s Rigid Body cache

    Type: | boolean, default False

  `cache_smoke`

    Show the active object’s smoke cache

    Type: | boolean, default False

  `cache_softbody`

    Show the active object’s softbody point cache

    Type: | boolean, default False

  `show_cache`

    Show the status of cached frames in the timeline

    Type: | boolean, default False

  `show_frame_indicator`

    Show frame number beside the current frame indicator line

    Type: | boolean, default False

  `show_seconds`

    Show timing in seconds not frames

    Type: | boolean, default False

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`